/* Copyright (c) 2001, Stanford University
	All rights reserved.

	See the file LICENSE.txt for information on redistributing this software. */
	
#include <stdio.h>
#include "cr_error.h"
#include "cr_string.h"
#include "cr_spu.h"
#include "passthroughspu.h"

SPUNamedFunctionTable _cr_passthrough_table[606];

static void __fillin( int offset, char *name, SPUGenericFunction func )
{
	_cr_passthrough_table[offset].name = crStrdup( name );
	_cr_passthrough_table[offset].fn = func;
}

void BuildPassthroughTable( SPU *child )
{
	__fillin(   0, "Accum", (SPUGenericFunction) child->dispatch_table.Accum );
	__fillin(   1, "ActiveTextureARB", (SPUGenericFunction) child->dispatch_table.ActiveTextureARB );
	__fillin(   2, "AlphaFunc", (SPUGenericFunction) child->dispatch_table.AlphaFunc );
	__fillin(   3, "AreProgramsResidentNV", (SPUGenericFunction) child->dispatch_table.AreProgramsResidentNV );
	__fillin(   4, "AreTexturesResident", (SPUGenericFunction) child->dispatch_table.AreTexturesResident );
	__fillin(   5, "ArrayElement", (SPUGenericFunction) child->dispatch_table.ArrayElement );
	__fillin(   6, "BarrierCreateCR", (SPUGenericFunction) child->dispatch_table.BarrierCreateCR );
	__fillin(   7, "BarrierDestroyCR", (SPUGenericFunction) child->dispatch_table.BarrierDestroyCR );
	__fillin(   8, "BarrierExecCR", (SPUGenericFunction) child->dispatch_table.BarrierExecCR );
	__fillin(   9, "Begin", (SPUGenericFunction) child->dispatch_table.Begin );
	__fillin(  10, "BeginQueryARB", (SPUGenericFunction) child->dispatch_table.BeginQueryARB );
	__fillin(  11, "BindBufferARB", (SPUGenericFunction) child->dispatch_table.BindBufferARB );
	__fillin(  12, "BindProgramARB", (SPUGenericFunction) child->dispatch_table.BindProgramARB );
	__fillin(  13, "BindProgramNV", (SPUGenericFunction) child->dispatch_table.BindProgramNV );
	__fillin(  14, "BindTexture", (SPUGenericFunction) child->dispatch_table.BindTexture );
	__fillin(  15, "Bitmap", (SPUGenericFunction) child->dispatch_table.Bitmap );
	__fillin(  16, "BlendColorEXT", (SPUGenericFunction) child->dispatch_table.BlendColorEXT );
	__fillin(  17, "BlendEquationEXT", (SPUGenericFunction) child->dispatch_table.BlendEquationEXT );
	__fillin(  18, "BlendFunc", (SPUGenericFunction) child->dispatch_table.BlendFunc );
	__fillin(  19, "BlendFuncSeparateEXT", (SPUGenericFunction) child->dispatch_table.BlendFuncSeparateEXT );
	__fillin(  20, "BoundsInfoCR", (SPUGenericFunction) child->dispatch_table.BoundsInfoCR );
	__fillin(  21, "BufferDataARB", (SPUGenericFunction) child->dispatch_table.BufferDataARB );
	__fillin(  22, "BufferSubDataARB", (SPUGenericFunction) child->dispatch_table.BufferSubDataARB );
	__fillin(  23, "CallList", (SPUGenericFunction) child->dispatch_table.CallList );
	__fillin(  24, "CallLists", (SPUGenericFunction) child->dispatch_table.CallLists );
	__fillin(  25, "ChromiumParameterfCR", (SPUGenericFunction) child->dispatch_table.ChromiumParameterfCR );
	__fillin(  26, "ChromiumParameteriCR", (SPUGenericFunction) child->dispatch_table.ChromiumParameteriCR );
	__fillin(  27, "ChromiumParametervCR", (SPUGenericFunction) child->dispatch_table.ChromiumParametervCR );
	__fillin(  28, "Clear", (SPUGenericFunction) child->dispatch_table.Clear );
	__fillin(  29, "ClearAccum", (SPUGenericFunction) child->dispatch_table.ClearAccum );
	__fillin(  30, "ClearColor", (SPUGenericFunction) child->dispatch_table.ClearColor );
	__fillin(  31, "ClearDepth", (SPUGenericFunction) child->dispatch_table.ClearDepth );
	__fillin(  32, "ClearIndex", (SPUGenericFunction) child->dispatch_table.ClearIndex );
	__fillin(  33, "ClearStencil", (SPUGenericFunction) child->dispatch_table.ClearStencil );
	__fillin(  34, "ClientActiveTextureARB", (SPUGenericFunction) child->dispatch_table.ClientActiveTextureARB );
	__fillin(  35, "ClipPlane", (SPUGenericFunction) child->dispatch_table.ClipPlane );
	__fillin(  36, "Color3b", (SPUGenericFunction) child->dispatch_table.Color3b );
	__fillin(  37, "Color3bv", (SPUGenericFunction) child->dispatch_table.Color3bv );
	__fillin(  38, "Color3d", (SPUGenericFunction) child->dispatch_table.Color3d );
	__fillin(  39, "Color3dv", (SPUGenericFunction) child->dispatch_table.Color3dv );
	__fillin(  40, "Color3f", (SPUGenericFunction) child->dispatch_table.Color3f );
	__fillin(  41, "Color3fv", (SPUGenericFunction) child->dispatch_table.Color3fv );
	__fillin(  42, "Color3i", (SPUGenericFunction) child->dispatch_table.Color3i );
	__fillin(  43, "Color3iv", (SPUGenericFunction) child->dispatch_table.Color3iv );
	__fillin(  44, "Color3s", (SPUGenericFunction) child->dispatch_table.Color3s );
	__fillin(  45, "Color3sv", (SPUGenericFunction) child->dispatch_table.Color3sv );
	__fillin(  46, "Color3ub", (SPUGenericFunction) child->dispatch_table.Color3ub );
	__fillin(  47, "Color3ubv", (SPUGenericFunction) child->dispatch_table.Color3ubv );
	__fillin(  48, "Color3ui", (SPUGenericFunction) child->dispatch_table.Color3ui );
	__fillin(  49, "Color3uiv", (SPUGenericFunction) child->dispatch_table.Color3uiv );
	__fillin(  50, "Color3us", (SPUGenericFunction) child->dispatch_table.Color3us );
	__fillin(  51, "Color3usv", (SPUGenericFunction) child->dispatch_table.Color3usv );
	__fillin(  52, "Color4b", (SPUGenericFunction) child->dispatch_table.Color4b );
	__fillin(  53, "Color4bv", (SPUGenericFunction) child->dispatch_table.Color4bv );
	__fillin(  54, "Color4d", (SPUGenericFunction) child->dispatch_table.Color4d );
	__fillin(  55, "Color4dv", (SPUGenericFunction) child->dispatch_table.Color4dv );
	__fillin(  56, "Color4f", (SPUGenericFunction) child->dispatch_table.Color4f );
	__fillin(  57, "Color4fv", (SPUGenericFunction) child->dispatch_table.Color4fv );
	__fillin(  58, "Color4i", (SPUGenericFunction) child->dispatch_table.Color4i );
	__fillin(  59, "Color4iv", (SPUGenericFunction) child->dispatch_table.Color4iv );
	__fillin(  60, "Color4s", (SPUGenericFunction) child->dispatch_table.Color4s );
	__fillin(  61, "Color4sv", (SPUGenericFunction) child->dispatch_table.Color4sv );
	__fillin(  62, "Color4ub", (SPUGenericFunction) child->dispatch_table.Color4ub );
	__fillin(  63, "Color4ubv", (SPUGenericFunction) child->dispatch_table.Color4ubv );
	__fillin(  64, "Color4ui", (SPUGenericFunction) child->dispatch_table.Color4ui );
	__fillin(  65, "Color4uiv", (SPUGenericFunction) child->dispatch_table.Color4uiv );
	__fillin(  66, "Color4us", (SPUGenericFunction) child->dispatch_table.Color4us );
	__fillin(  67, "Color4usv", (SPUGenericFunction) child->dispatch_table.Color4usv );
	__fillin(  68, "ColorMask", (SPUGenericFunction) child->dispatch_table.ColorMask );
	__fillin(  69, "ColorMaterial", (SPUGenericFunction) child->dispatch_table.ColorMaterial );
	__fillin(  70, "ColorPointer", (SPUGenericFunction) child->dispatch_table.ColorPointer );
	__fillin(  71, "CombinerInputNV", (SPUGenericFunction) child->dispatch_table.CombinerInputNV );
	__fillin(  72, "CombinerOutputNV", (SPUGenericFunction) child->dispatch_table.CombinerOutputNV );
	__fillin(  73, "CombinerParameterfNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterfNV );
	__fillin(  74, "CombinerParameterfvNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterfvNV );
	__fillin(  75, "CombinerParameteriNV", (SPUGenericFunction) child->dispatch_table.CombinerParameteriNV );
	__fillin(  76, "CombinerParameterivNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterivNV );
	__fillin(  77, "CombinerStageParameterfvNV", (SPUGenericFunction) child->dispatch_table.CombinerStageParameterfvNV );
	__fillin(  78, "CompressedTexImage1DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage1DARB );
	__fillin(  79, "CompressedTexImage2DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage2DARB );
	__fillin(  80, "CompressedTexImage3DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage3DARB );
	__fillin(  81, "CompressedTexSubImage1DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage1DARB );
	__fillin(  82, "CompressedTexSubImage2DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage2DARB );
	__fillin(  83, "CompressedTexSubImage3DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage3DARB );
	__fillin(  84, "CopyPixels", (SPUGenericFunction) child->dispatch_table.CopyPixels );
	__fillin(  85, "CopyTexImage1D", (SPUGenericFunction) child->dispatch_table.CopyTexImage1D );
	__fillin(  86, "CopyTexImage2D", (SPUGenericFunction) child->dispatch_table.CopyTexImage2D );
	__fillin(  87, "CopyTexSubImage1D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage1D );
	__fillin(  88, "CopyTexSubImage2D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage2D );
	__fillin(  89, "CopyTexSubImage3D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage3D );
	__fillin(  90, "CreateContext", (SPUGenericFunction) child->dispatch_table.CreateContext );
	__fillin(  91, "CullFace", (SPUGenericFunction) child->dispatch_table.CullFace );
	__fillin(  92, "DeleteBuffersARB", (SPUGenericFunction) child->dispatch_table.DeleteBuffersARB );
	__fillin(  93, "DeleteFencesNV", (SPUGenericFunction) child->dispatch_table.DeleteFencesNV );
	__fillin(  94, "DeleteLists", (SPUGenericFunction) child->dispatch_table.DeleteLists );
	__fillin(  95, "DeleteProgramsARB", (SPUGenericFunction) child->dispatch_table.DeleteProgramsARB );
	__fillin(  96, "DeleteQueriesARB", (SPUGenericFunction) child->dispatch_table.DeleteQueriesARB );
	__fillin(  97, "DeleteTextures", (SPUGenericFunction) child->dispatch_table.DeleteTextures );
	__fillin(  98, "DepthFunc", (SPUGenericFunction) child->dispatch_table.DepthFunc );
	__fillin(  99, "DepthMask", (SPUGenericFunction) child->dispatch_table.DepthMask );
	__fillin( 100, "DepthRange", (SPUGenericFunction) child->dispatch_table.DepthRange );
	__fillin( 101, "DestroyContext", (SPUGenericFunction) child->dispatch_table.DestroyContext );
	__fillin( 102, "Disable", (SPUGenericFunction) child->dispatch_table.Disable );
	__fillin( 103, "DisableClientState", (SPUGenericFunction) child->dispatch_table.DisableClientState );
	__fillin( 104, "DisableVertexAttribArrayARB", (SPUGenericFunction) child->dispatch_table.DisableVertexAttribArrayARB );
	__fillin( 105, "DrawArrays", (SPUGenericFunction) child->dispatch_table.DrawArrays );
	__fillin( 106, "DrawBuffer", (SPUGenericFunction) child->dispatch_table.DrawBuffer );
	__fillin( 107, "DrawElements", (SPUGenericFunction) child->dispatch_table.DrawElements );
	__fillin( 108, "DrawPixels", (SPUGenericFunction) child->dispatch_table.DrawPixels );
	__fillin( 109, "DrawRangeElements", (SPUGenericFunction) child->dispatch_table.DrawRangeElements );
	__fillin( 110, "EdgeFlag", (SPUGenericFunction) child->dispatch_table.EdgeFlag );
	__fillin( 111, "EdgeFlagPointer", (SPUGenericFunction) child->dispatch_table.EdgeFlagPointer );
	__fillin( 112, "EdgeFlagv", (SPUGenericFunction) child->dispatch_table.EdgeFlagv );
	__fillin( 113, "Enable", (SPUGenericFunction) child->dispatch_table.Enable );
	__fillin( 114, "EnableClientState", (SPUGenericFunction) child->dispatch_table.EnableClientState );
	__fillin( 115, "EnableVertexAttribArrayARB", (SPUGenericFunction) child->dispatch_table.EnableVertexAttribArrayARB );
	__fillin( 116, "End", (SPUGenericFunction) child->dispatch_table.End );
	__fillin( 117, "EndList", (SPUGenericFunction) child->dispatch_table.EndList );
	__fillin( 118, "EndQueryARB", (SPUGenericFunction) child->dispatch_table.EndQueryARB );
	__fillin( 119, "EvalCoord1d", (SPUGenericFunction) child->dispatch_table.EvalCoord1d );
	__fillin( 120, "EvalCoord1dv", (SPUGenericFunction) child->dispatch_table.EvalCoord1dv );
	__fillin( 121, "EvalCoord1f", (SPUGenericFunction) child->dispatch_table.EvalCoord1f );
	__fillin( 122, "EvalCoord1fv", (SPUGenericFunction) child->dispatch_table.EvalCoord1fv );
	__fillin( 123, "EvalCoord2d", (SPUGenericFunction) child->dispatch_table.EvalCoord2d );
	__fillin( 124, "EvalCoord2dv", (SPUGenericFunction) child->dispatch_table.EvalCoord2dv );
	__fillin( 125, "EvalCoord2f", (SPUGenericFunction) child->dispatch_table.EvalCoord2f );
	__fillin( 126, "EvalCoord2fv", (SPUGenericFunction) child->dispatch_table.EvalCoord2fv );
	__fillin( 127, "EvalMesh1", (SPUGenericFunction) child->dispatch_table.EvalMesh1 );
	__fillin( 128, "EvalMesh2", (SPUGenericFunction) child->dispatch_table.EvalMesh2 );
	__fillin( 129, "EvalPoint1", (SPUGenericFunction) child->dispatch_table.EvalPoint1 );
	__fillin( 130, "EvalPoint2", (SPUGenericFunction) child->dispatch_table.EvalPoint2 );
	__fillin( 131, "ExecuteProgramNV", (SPUGenericFunction) child->dispatch_table.ExecuteProgramNV );
	__fillin( 132, "FeedbackBuffer", (SPUGenericFunction) child->dispatch_table.FeedbackBuffer );
	__fillin( 133, "FinalCombinerInputNV", (SPUGenericFunction) child->dispatch_table.FinalCombinerInputNV );
	__fillin( 134, "Finish", (SPUGenericFunction) child->dispatch_table.Finish );
	__fillin( 135, "FinishFenceNV", (SPUGenericFunction) child->dispatch_table.FinishFenceNV );
	__fillin( 136, "Flush", (SPUGenericFunction) child->dispatch_table.Flush );
	__fillin( 137, "FlushVertexArrayRangeNV", (SPUGenericFunction) child->dispatch_table.FlushVertexArrayRangeNV );
	__fillin( 138, "FogCoordPointerEXT", (SPUGenericFunction) child->dispatch_table.FogCoordPointerEXT );
	__fillin( 139, "FogCoorddEXT", (SPUGenericFunction) child->dispatch_table.FogCoorddEXT );
	__fillin( 140, "FogCoorddvEXT", (SPUGenericFunction) child->dispatch_table.FogCoorddvEXT );
	__fillin( 141, "FogCoordfEXT", (SPUGenericFunction) child->dispatch_table.FogCoordfEXT );
	__fillin( 142, "FogCoordfvEXT", (SPUGenericFunction) child->dispatch_table.FogCoordfvEXT );
	__fillin( 143, "Fogf", (SPUGenericFunction) child->dispatch_table.Fogf );
	__fillin( 144, "Fogfv", (SPUGenericFunction) child->dispatch_table.Fogfv );
	__fillin( 145, "Fogi", (SPUGenericFunction) child->dispatch_table.Fogi );
	__fillin( 146, "Fogiv", (SPUGenericFunction) child->dispatch_table.Fogiv );
	__fillin( 147, "FrontFace", (SPUGenericFunction) child->dispatch_table.FrontFace );
	__fillin( 148, "Frustum", (SPUGenericFunction) child->dispatch_table.Frustum );
	__fillin( 149, "GenBuffersARB", (SPUGenericFunction) child->dispatch_table.GenBuffersARB );
	__fillin( 150, "GenFencesNV", (SPUGenericFunction) child->dispatch_table.GenFencesNV );
	__fillin( 151, "GenLists", (SPUGenericFunction) child->dispatch_table.GenLists );
	__fillin( 152, "GenProgramsARB", (SPUGenericFunction) child->dispatch_table.GenProgramsARB );
	__fillin( 153, "GenProgramsNV", (SPUGenericFunction) child->dispatch_table.GenProgramsNV );
	__fillin( 154, "GenQueriesARB", (SPUGenericFunction) child->dispatch_table.GenQueriesARB );
	__fillin( 155, "GenTextures", (SPUGenericFunction) child->dispatch_table.GenTextures );
	__fillin( 156, "GetBooleanv", (SPUGenericFunction) child->dispatch_table.GetBooleanv );
	__fillin( 157, "GetBufferParameterivARB", (SPUGenericFunction) child->dispatch_table.GetBufferParameterivARB );
	__fillin( 158, "GetBufferPointervARB", (SPUGenericFunction) child->dispatch_table.GetBufferPointervARB );
	__fillin( 159, "GetBufferSubDataARB", (SPUGenericFunction) child->dispatch_table.GetBufferSubDataARB );
	__fillin( 160, "GetChromiumParametervCR", (SPUGenericFunction) child->dispatch_table.GetChromiumParametervCR );
	__fillin( 161, "GetClipPlane", (SPUGenericFunction) child->dispatch_table.GetClipPlane );
	__fillin( 162, "GetCombinerInputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerInputParameterfvNV );
	__fillin( 163, "GetCombinerInputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetCombinerInputParameterivNV );
	__fillin( 164, "GetCombinerOutputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerOutputParameterfvNV );
	__fillin( 165, "GetCombinerOutputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetCombinerOutputParameterivNV );
	__fillin( 166, "GetCombinerStageParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerStageParameterfvNV );
	__fillin( 167, "GetCompressedTexImageARB", (SPUGenericFunction) child->dispatch_table.GetCompressedTexImageARB );
	__fillin( 168, "GetDoublev", (SPUGenericFunction) child->dispatch_table.GetDoublev );
	__fillin( 169, "GetError", (SPUGenericFunction) child->dispatch_table.GetError );
	__fillin( 170, "GetFenceivNV", (SPUGenericFunction) child->dispatch_table.GetFenceivNV );
	__fillin( 171, "GetFinalCombinerInputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetFinalCombinerInputParameterfvNV );
	__fillin( 172, "GetFinalCombinerInputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetFinalCombinerInputParameterivNV );
	__fillin( 173, "GetFloatv", (SPUGenericFunction) child->dispatch_table.GetFloatv );
	__fillin( 174, "GetIntegerv", (SPUGenericFunction) child->dispatch_table.GetIntegerv );
	__fillin( 175, "GetLightfv", (SPUGenericFunction) child->dispatch_table.GetLightfv );
	__fillin( 176, "GetLightiv", (SPUGenericFunction) child->dispatch_table.GetLightiv );
	__fillin( 177, "GetMapdv", (SPUGenericFunction) child->dispatch_table.GetMapdv );
	__fillin( 178, "GetMapfv", (SPUGenericFunction) child->dispatch_table.GetMapfv );
	__fillin( 179, "GetMapiv", (SPUGenericFunction) child->dispatch_table.GetMapiv );
	__fillin( 180, "GetMaterialfv", (SPUGenericFunction) child->dispatch_table.GetMaterialfv );
	__fillin( 181, "GetMaterialiv", (SPUGenericFunction) child->dispatch_table.GetMaterialiv );
	__fillin( 182, "GetPixelMapfv", (SPUGenericFunction) child->dispatch_table.GetPixelMapfv );
	__fillin( 183, "GetPixelMapuiv", (SPUGenericFunction) child->dispatch_table.GetPixelMapuiv );
	__fillin( 184, "GetPixelMapusv", (SPUGenericFunction) child->dispatch_table.GetPixelMapusv );
	__fillin( 185, "GetPointerv", (SPUGenericFunction) child->dispatch_table.GetPointerv );
	__fillin( 186, "GetPolygonStipple", (SPUGenericFunction) child->dispatch_table.GetPolygonStipple );
	__fillin( 187, "GetProgramEnvParameterdvARB", (SPUGenericFunction) child->dispatch_table.GetProgramEnvParameterdvARB );
	__fillin( 188, "GetProgramEnvParameterfvARB", (SPUGenericFunction) child->dispatch_table.GetProgramEnvParameterfvARB );
	__fillin( 189, "GetProgramLocalParameterdvARB", (SPUGenericFunction) child->dispatch_table.GetProgramLocalParameterdvARB );
	__fillin( 190, "GetProgramLocalParameterfvARB", (SPUGenericFunction) child->dispatch_table.GetProgramLocalParameterfvARB );
	__fillin( 191, "GetProgramNamedParameterdvNV", (SPUGenericFunction) child->dispatch_table.GetProgramNamedParameterdvNV );
	__fillin( 192, "GetProgramNamedParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetProgramNamedParameterfvNV );
	__fillin( 193, "GetProgramParameterdvNV", (SPUGenericFunction) child->dispatch_table.GetProgramParameterdvNV );
	__fillin( 194, "GetProgramParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetProgramParameterfvNV );
	__fillin( 195, "GetProgramStringARB", (SPUGenericFunction) child->dispatch_table.GetProgramStringARB );
	__fillin( 196, "GetProgramStringNV", (SPUGenericFunction) child->dispatch_table.GetProgramStringNV );
	__fillin( 197, "GetProgramivARB", (SPUGenericFunction) child->dispatch_table.GetProgramivARB );
	__fillin( 198, "GetProgramivNV", (SPUGenericFunction) child->dispatch_table.GetProgramivNV );
	__fillin( 199, "GetQueryObjectivARB", (SPUGenericFunction) child->dispatch_table.GetQueryObjectivARB );
	__fillin( 200, "GetQueryObjectuivARB", (SPUGenericFunction) child->dispatch_table.GetQueryObjectuivARB );
	__fillin( 201, "GetQueryivARB", (SPUGenericFunction) child->dispatch_table.GetQueryivARB );
	__fillin( 202, "GetString", (SPUGenericFunction) child->dispatch_table.GetString );
	__fillin( 203, "GetTexEnvfv", (SPUGenericFunction) child->dispatch_table.GetTexEnvfv );
	__fillin( 204, "GetTexEnviv", (SPUGenericFunction) child->dispatch_table.GetTexEnviv );
	__fillin( 205, "GetTexGendv", (SPUGenericFunction) child->dispatch_table.GetTexGendv );
	__fillin( 206, "GetTexGenfv", (SPUGenericFunction) child->dispatch_table.GetTexGenfv );
	__fillin( 207, "GetTexGeniv", (SPUGenericFunction) child->dispatch_table.GetTexGeniv );
	__fillin( 208, "GetTexImage", (SPUGenericFunction) child->dispatch_table.GetTexImage );
	__fillin( 209, "GetTexLevelParameterfv", (SPUGenericFunction) child->dispatch_table.GetTexLevelParameterfv );
	__fillin( 210, "GetTexLevelParameteriv", (SPUGenericFunction) child->dispatch_table.GetTexLevelParameteriv );
	__fillin( 211, "GetTexParameterfv", (SPUGenericFunction) child->dispatch_table.GetTexParameterfv );
	__fillin( 212, "GetTexParameteriv", (SPUGenericFunction) child->dispatch_table.GetTexParameteriv );
	__fillin( 213, "GetTrackMatrixivNV", (SPUGenericFunction) child->dispatch_table.GetTrackMatrixivNV );
	__fillin( 214, "GetVertexAttribPointervARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribPointervARB );
	__fillin( 215, "GetVertexAttribPointervNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribPointervNV );
	__fillin( 216, "GetVertexAttribdvARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribdvARB );
	__fillin( 217, "GetVertexAttribdvNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribdvNV );
	__fillin( 218, "GetVertexAttribfvARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribfvARB );
	__fillin( 219, "GetVertexAttribfvNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribfvNV );
	__fillin( 220, "GetVertexAttribivARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribivARB );
	__fillin( 221, "GetVertexAttribivNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribivNV );
	__fillin( 222, "Hint", (SPUGenericFunction) child->dispatch_table.Hint );
	__fillin( 223, "IndexMask", (SPUGenericFunction) child->dispatch_table.IndexMask );
	__fillin( 224, "IndexPointer", (SPUGenericFunction) child->dispatch_table.IndexPointer );
	__fillin( 225, "Indexd", (SPUGenericFunction) child->dispatch_table.Indexd );
	__fillin( 226, "Indexdv", (SPUGenericFunction) child->dispatch_table.Indexdv );
	__fillin( 227, "Indexf", (SPUGenericFunction) child->dispatch_table.Indexf );
	__fillin( 228, "Indexfv", (SPUGenericFunction) child->dispatch_table.Indexfv );
	__fillin( 229, "Indexi", (SPUGenericFunction) child->dispatch_table.Indexi );
	__fillin( 230, "Indexiv", (SPUGenericFunction) child->dispatch_table.Indexiv );
	__fillin( 231, "Indexs", (SPUGenericFunction) child->dispatch_table.Indexs );
	__fillin( 232, "Indexsv", (SPUGenericFunction) child->dispatch_table.Indexsv );
	__fillin( 233, "Indexub", (SPUGenericFunction) child->dispatch_table.Indexub );
	__fillin( 234, "Indexubv", (SPUGenericFunction) child->dispatch_table.Indexubv );
	__fillin( 235, "InitNames", (SPUGenericFunction) child->dispatch_table.InitNames );
	__fillin( 236, "InterleavedArrays", (SPUGenericFunction) child->dispatch_table.InterleavedArrays );
	__fillin( 237, "IsBufferARB", (SPUGenericFunction) child->dispatch_table.IsBufferARB );
	__fillin( 238, "IsEnabled", (SPUGenericFunction) child->dispatch_table.IsEnabled );
	__fillin( 239, "IsFenceNV", (SPUGenericFunction) child->dispatch_table.IsFenceNV );
	__fillin( 240, "IsList", (SPUGenericFunction) child->dispatch_table.IsList );
	__fillin( 241, "IsProgramARB", (SPUGenericFunction) child->dispatch_table.IsProgramARB );
	__fillin( 242, "IsQueryARB", (SPUGenericFunction) child->dispatch_table.IsQueryARB );
	__fillin( 243, "IsTexture", (SPUGenericFunction) child->dispatch_table.IsTexture );
	__fillin( 244, "LightModelf", (SPUGenericFunction) child->dispatch_table.LightModelf );
	__fillin( 245, "LightModelfv", (SPUGenericFunction) child->dispatch_table.LightModelfv );
	__fillin( 246, "LightModeli", (SPUGenericFunction) child->dispatch_table.LightModeli );
	__fillin( 247, "LightModeliv", (SPUGenericFunction) child->dispatch_table.LightModeliv );
	__fillin( 248, "Lightf", (SPUGenericFunction) child->dispatch_table.Lightf );
	__fillin( 249, "Lightfv", (SPUGenericFunction) child->dispatch_table.Lightfv );
	__fillin( 250, "Lighti", (SPUGenericFunction) child->dispatch_table.Lighti );
	__fillin( 251, "Lightiv", (SPUGenericFunction) child->dispatch_table.Lightiv );
	__fillin( 252, "LineStipple", (SPUGenericFunction) child->dispatch_table.LineStipple );
	__fillin( 253, "LineWidth", (SPUGenericFunction) child->dispatch_table.LineWidth );
	__fillin( 254, "ListBase", (SPUGenericFunction) child->dispatch_table.ListBase );
	__fillin( 255, "LoadIdentity", (SPUGenericFunction) child->dispatch_table.LoadIdentity );
	__fillin( 256, "LoadMatrixd", (SPUGenericFunction) child->dispatch_table.LoadMatrixd );
	__fillin( 257, "LoadMatrixf", (SPUGenericFunction) child->dispatch_table.LoadMatrixf );
	__fillin( 258, "LoadName", (SPUGenericFunction) child->dispatch_table.LoadName );
	__fillin( 259, "LoadProgramNV", (SPUGenericFunction) child->dispatch_table.LoadProgramNV );
	__fillin( 260, "LoadTransposeMatrixdARB", (SPUGenericFunction) child->dispatch_table.LoadTransposeMatrixdARB );
	__fillin( 261, "LoadTransposeMatrixfARB", (SPUGenericFunction) child->dispatch_table.LoadTransposeMatrixfARB );
	__fillin( 262, "LogicOp", (SPUGenericFunction) child->dispatch_table.LogicOp );
	__fillin( 263, "MakeCurrent", (SPUGenericFunction) child->dispatch_table.MakeCurrent );
	__fillin( 264, "Map1d", (SPUGenericFunction) child->dispatch_table.Map1d );
	__fillin( 265, "Map1f", (SPUGenericFunction) child->dispatch_table.Map1f );
	__fillin( 266, "Map2d", (SPUGenericFunction) child->dispatch_table.Map2d );
	__fillin( 267, "Map2f", (SPUGenericFunction) child->dispatch_table.Map2f );
	__fillin( 268, "MapBufferARB", (SPUGenericFunction) child->dispatch_table.MapBufferARB );
	__fillin( 269, "MapGrid1d", (SPUGenericFunction) child->dispatch_table.MapGrid1d );
	__fillin( 270, "MapGrid1f", (SPUGenericFunction) child->dispatch_table.MapGrid1f );
	__fillin( 271, "MapGrid2d", (SPUGenericFunction) child->dispatch_table.MapGrid2d );
	__fillin( 272, "MapGrid2f", (SPUGenericFunction) child->dispatch_table.MapGrid2f );
	__fillin( 273, "Materialf", (SPUGenericFunction) child->dispatch_table.Materialf );
	__fillin( 274, "Materialfv", (SPUGenericFunction) child->dispatch_table.Materialfv );
	__fillin( 275, "Materiali", (SPUGenericFunction) child->dispatch_table.Materiali );
	__fillin( 276, "Materialiv", (SPUGenericFunction) child->dispatch_table.Materialiv );
	__fillin( 277, "MatrixMode", (SPUGenericFunction) child->dispatch_table.MatrixMode );
	__fillin( 278, "MultMatrixd", (SPUGenericFunction) child->dispatch_table.MultMatrixd );
	__fillin( 279, "MultMatrixf", (SPUGenericFunction) child->dispatch_table.MultMatrixf );
	__fillin( 280, "MultTransposeMatrixdARB", (SPUGenericFunction) child->dispatch_table.MultTransposeMatrixdARB );
	__fillin( 281, "MultTransposeMatrixfARB", (SPUGenericFunction) child->dispatch_table.MultTransposeMatrixfARB );
	__fillin( 282, "MultiDrawArraysEXT", (SPUGenericFunction) child->dispatch_table.MultiDrawArraysEXT );
	__fillin( 283, "MultiDrawElementsEXT", (SPUGenericFunction) child->dispatch_table.MultiDrawElementsEXT );
	__fillin( 284, "MultiTexCoord1dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1dARB );
	__fillin( 285, "MultiTexCoord1dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1dvARB );
	__fillin( 286, "MultiTexCoord1fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1fARB );
	__fillin( 287, "MultiTexCoord1fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1fvARB );
	__fillin( 288, "MultiTexCoord1iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1iARB );
	__fillin( 289, "MultiTexCoord1ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1ivARB );
	__fillin( 290, "MultiTexCoord1sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1sARB );
	__fillin( 291, "MultiTexCoord1svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1svARB );
	__fillin( 292, "MultiTexCoord2dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2dARB );
	__fillin( 293, "MultiTexCoord2dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2dvARB );
	__fillin( 294, "MultiTexCoord2fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2fARB );
	__fillin( 295, "MultiTexCoord2fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2fvARB );
	__fillin( 296, "MultiTexCoord2iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2iARB );
	__fillin( 297, "MultiTexCoord2ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2ivARB );
	__fillin( 298, "MultiTexCoord2sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2sARB );
	__fillin( 299, "MultiTexCoord2svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2svARB );
	__fillin( 300, "MultiTexCoord3dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3dARB );
	__fillin( 301, "MultiTexCoord3dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3dvARB );
	__fillin( 302, "MultiTexCoord3fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3fARB );
	__fillin( 303, "MultiTexCoord3fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3fvARB );
	__fillin( 304, "MultiTexCoord3iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3iARB );
	__fillin( 305, "MultiTexCoord3ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3ivARB );
	__fillin( 306, "MultiTexCoord3sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3sARB );
	__fillin( 307, "MultiTexCoord3svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3svARB );
	__fillin( 308, "MultiTexCoord4dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4dARB );
	__fillin( 309, "MultiTexCoord4dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4dvARB );
	__fillin( 310, "MultiTexCoord4fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4fARB );
	__fillin( 311, "MultiTexCoord4fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4fvARB );
	__fillin( 312, "MultiTexCoord4iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4iARB );
	__fillin( 313, "MultiTexCoord4ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4ivARB );
	__fillin( 314, "MultiTexCoord4sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4sARB );
	__fillin( 315, "MultiTexCoord4svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4svARB );
	__fillin( 316, "NewList", (SPUGenericFunction) child->dispatch_table.NewList );
	__fillin( 317, "Normal3b", (SPUGenericFunction) child->dispatch_table.Normal3b );
	__fillin( 318, "Normal3bv", (SPUGenericFunction) child->dispatch_table.Normal3bv );
	__fillin( 319, "Normal3d", (SPUGenericFunction) child->dispatch_table.Normal3d );
	__fillin( 320, "Normal3dv", (SPUGenericFunction) child->dispatch_table.Normal3dv );
	__fillin( 321, "Normal3f", (SPUGenericFunction) child->dispatch_table.Normal3f );
	__fillin( 322, "Normal3fv", (SPUGenericFunction) child->dispatch_table.Normal3fv );
	__fillin( 323, "Normal3i", (SPUGenericFunction) child->dispatch_table.Normal3i );
	__fillin( 324, "Normal3iv", (SPUGenericFunction) child->dispatch_table.Normal3iv );
	__fillin( 325, "Normal3s", (SPUGenericFunction) child->dispatch_table.Normal3s );
	__fillin( 326, "Normal3sv", (SPUGenericFunction) child->dispatch_table.Normal3sv );
	__fillin( 327, "NormalPointer", (SPUGenericFunction) child->dispatch_table.NormalPointer );
	__fillin( 328, "Ortho", (SPUGenericFunction) child->dispatch_table.Ortho );
	__fillin( 329, "PassThrough", (SPUGenericFunction) child->dispatch_table.PassThrough );
	__fillin( 330, "PixelMapfv", (SPUGenericFunction) child->dispatch_table.PixelMapfv );
	__fillin( 331, "PixelMapuiv", (SPUGenericFunction) child->dispatch_table.PixelMapuiv );
	__fillin( 332, "PixelMapusv", (SPUGenericFunction) child->dispatch_table.PixelMapusv );
	__fillin( 333, "PixelStoref", (SPUGenericFunction) child->dispatch_table.PixelStoref );
	__fillin( 334, "PixelStorei", (SPUGenericFunction) child->dispatch_table.PixelStorei );
	__fillin( 335, "PixelTransferf", (SPUGenericFunction) child->dispatch_table.PixelTransferf );
	__fillin( 336, "PixelTransferi", (SPUGenericFunction) child->dispatch_table.PixelTransferi );
	__fillin( 337, "PixelZoom", (SPUGenericFunction) child->dispatch_table.PixelZoom );
	__fillin( 338, "PointParameterfARB", (SPUGenericFunction) child->dispatch_table.PointParameterfARB );
	__fillin( 339, "PointParameterfvARB", (SPUGenericFunction) child->dispatch_table.PointParameterfvARB );
	__fillin( 340, "PointParameteri", (SPUGenericFunction) child->dispatch_table.PointParameteri );
	__fillin( 341, "PointParameteriv", (SPUGenericFunction) child->dispatch_table.PointParameteriv );
	__fillin( 342, "PointSize", (SPUGenericFunction) child->dispatch_table.PointSize );
	__fillin( 343, "PolygonMode", (SPUGenericFunction) child->dispatch_table.PolygonMode );
	__fillin( 344, "PolygonOffset", (SPUGenericFunction) child->dispatch_table.PolygonOffset );
	__fillin( 345, "PolygonStipple", (SPUGenericFunction) child->dispatch_table.PolygonStipple );
	__fillin( 346, "PopAttrib", (SPUGenericFunction) child->dispatch_table.PopAttrib );
	__fillin( 347, "PopClientAttrib", (SPUGenericFunction) child->dispatch_table.PopClientAttrib );
	__fillin( 348, "PopMatrix", (SPUGenericFunction) child->dispatch_table.PopMatrix );
	__fillin( 349, "PopName", (SPUGenericFunction) child->dispatch_table.PopName );
	__fillin( 350, "PrioritizeTextures", (SPUGenericFunction) child->dispatch_table.PrioritizeTextures );
	__fillin( 351, "ProgramEnvParameter4dARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4dARB );
	__fillin( 352, "ProgramEnvParameter4dvARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4dvARB );
	__fillin( 353, "ProgramEnvParameter4fARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4fARB );
	__fillin( 354, "ProgramEnvParameter4fvARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4fvARB );
	__fillin( 355, "ProgramLocalParameter4dARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4dARB );
	__fillin( 356, "ProgramLocalParameter4dvARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4dvARB );
	__fillin( 357, "ProgramLocalParameter4fARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4fARB );
	__fillin( 358, "ProgramLocalParameter4fvARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4fvARB );
	__fillin( 359, "ProgramNamedParameter4dNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4dNV );
	__fillin( 360, "ProgramNamedParameter4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4dvNV );
	__fillin( 361, "ProgramNamedParameter4fNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4fNV );
	__fillin( 362, "ProgramNamedParameter4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4fvNV );
	__fillin( 363, "ProgramParameter4dNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4dNV );
	__fillin( 364, "ProgramParameter4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4dvNV );
	__fillin( 365, "ProgramParameter4fNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4fNV );
	__fillin( 366, "ProgramParameter4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4fvNV );
	__fillin( 367, "ProgramParameters4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameters4dvNV );
	__fillin( 368, "ProgramParameters4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameters4fvNV );
	__fillin( 369, "ProgramStringARB", (SPUGenericFunction) child->dispatch_table.ProgramStringARB );
	__fillin( 370, "PushAttrib", (SPUGenericFunction) child->dispatch_table.PushAttrib );
	__fillin( 371, "PushClientAttrib", (SPUGenericFunction) child->dispatch_table.PushClientAttrib );
	__fillin( 372, "PushMatrix", (SPUGenericFunction) child->dispatch_table.PushMatrix );
	__fillin( 373, "PushName", (SPUGenericFunction) child->dispatch_table.PushName );
	__fillin( 374, "RasterPos2d", (SPUGenericFunction) child->dispatch_table.RasterPos2d );
	__fillin( 375, "RasterPos2dv", (SPUGenericFunction) child->dispatch_table.RasterPos2dv );
	__fillin( 376, "RasterPos2f", (SPUGenericFunction) child->dispatch_table.RasterPos2f );
	__fillin( 377, "RasterPos2fv", (SPUGenericFunction) child->dispatch_table.RasterPos2fv );
	__fillin( 378, "RasterPos2i", (SPUGenericFunction) child->dispatch_table.RasterPos2i );
	__fillin( 379, "RasterPos2iv", (SPUGenericFunction) child->dispatch_table.RasterPos2iv );
	__fillin( 380, "RasterPos2s", (SPUGenericFunction) child->dispatch_table.RasterPos2s );
	__fillin( 381, "RasterPos2sv", (SPUGenericFunction) child->dispatch_table.RasterPos2sv );
	__fillin( 382, "RasterPos3d", (SPUGenericFunction) child->dispatch_table.RasterPos3d );
	__fillin( 383, "RasterPos3dv", (SPUGenericFunction) child->dispatch_table.RasterPos3dv );
	__fillin( 384, "RasterPos3f", (SPUGenericFunction) child->dispatch_table.RasterPos3f );
	__fillin( 385, "RasterPos3fv", (SPUGenericFunction) child->dispatch_table.RasterPos3fv );
	__fillin( 386, "RasterPos3i", (SPUGenericFunction) child->dispatch_table.RasterPos3i );
	__fillin( 387, "RasterPos3iv", (SPUGenericFunction) child->dispatch_table.RasterPos3iv );
	__fillin( 388, "RasterPos3s", (SPUGenericFunction) child->dispatch_table.RasterPos3s );
	__fillin( 389, "RasterPos3sv", (SPUGenericFunction) child->dispatch_table.RasterPos3sv );
	__fillin( 390, "RasterPos4d", (SPUGenericFunction) child->dispatch_table.RasterPos4d );
	__fillin( 391, "RasterPos4dv", (SPUGenericFunction) child->dispatch_table.RasterPos4dv );
	__fillin( 392, "RasterPos4f", (SPUGenericFunction) child->dispatch_table.RasterPos4f );
	__fillin( 393, "RasterPos4fv", (SPUGenericFunction) child->dispatch_table.RasterPos4fv );
	__fillin( 394, "RasterPos4i", (SPUGenericFunction) child->dispatch_table.RasterPos4i );
	__fillin( 395, "RasterPos4iv", (SPUGenericFunction) child->dispatch_table.RasterPos4iv );
	__fillin( 396, "RasterPos4s", (SPUGenericFunction) child->dispatch_table.RasterPos4s );
	__fillin( 397, "RasterPos4sv", (SPUGenericFunction) child->dispatch_table.RasterPos4sv );
	__fillin( 398, "ReadBuffer", (SPUGenericFunction) child->dispatch_table.ReadBuffer );
	__fillin( 399, "ReadPixels", (SPUGenericFunction) child->dispatch_table.ReadPixels );
	__fillin( 400, "Rectd", (SPUGenericFunction) child->dispatch_table.Rectd );
	__fillin( 401, "Rectdv", (SPUGenericFunction) child->dispatch_table.Rectdv );
	__fillin( 402, "Rectf", (SPUGenericFunction) child->dispatch_table.Rectf );
	__fillin( 403, "Rectfv", (SPUGenericFunction) child->dispatch_table.Rectfv );
	__fillin( 404, "Recti", (SPUGenericFunction) child->dispatch_table.Recti );
	__fillin( 405, "Rectiv", (SPUGenericFunction) child->dispatch_table.Rectiv );
	__fillin( 406, "Rects", (SPUGenericFunction) child->dispatch_table.Rects );
	__fillin( 407, "Rectsv", (SPUGenericFunction) child->dispatch_table.Rectsv );
	__fillin( 408, "RenderMode", (SPUGenericFunction) child->dispatch_table.RenderMode );
	__fillin( 409, "RequestResidentProgramsNV", (SPUGenericFunction) child->dispatch_table.RequestResidentProgramsNV );
	__fillin( 410, "Rotated", (SPUGenericFunction) child->dispatch_table.Rotated );
	__fillin( 411, "Rotatef", (SPUGenericFunction) child->dispatch_table.Rotatef );
	__fillin( 412, "SampleCoverageARB", (SPUGenericFunction) child->dispatch_table.SampleCoverageARB );
	__fillin( 413, "Scaled", (SPUGenericFunction) child->dispatch_table.Scaled );
	__fillin( 414, "Scalef", (SPUGenericFunction) child->dispatch_table.Scalef );
	__fillin( 415, "Scissor", (SPUGenericFunction) child->dispatch_table.Scissor );
	__fillin( 416, "SecondaryColor3bEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3bEXT );
	__fillin( 417, "SecondaryColor3bvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3bvEXT );
	__fillin( 418, "SecondaryColor3dEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3dEXT );
	__fillin( 419, "SecondaryColor3dvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3dvEXT );
	__fillin( 420, "SecondaryColor3fEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3fEXT );
	__fillin( 421, "SecondaryColor3fvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3fvEXT );
	__fillin( 422, "SecondaryColor3iEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3iEXT );
	__fillin( 423, "SecondaryColor3ivEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ivEXT );
	__fillin( 424, "SecondaryColor3sEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3sEXT );
	__fillin( 425, "SecondaryColor3svEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3svEXT );
	__fillin( 426, "SecondaryColor3ubEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ubEXT );
	__fillin( 427, "SecondaryColor3ubvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ubvEXT );
	__fillin( 428, "SecondaryColor3uiEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3uiEXT );
	__fillin( 429, "SecondaryColor3uivEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3uivEXT );
	__fillin( 430, "SecondaryColor3usEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3usEXT );
	__fillin( 431, "SecondaryColor3usvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3usvEXT );
	__fillin( 432, "SecondaryColorPointerEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColorPointerEXT );
	__fillin( 433, "SelectBuffer", (SPUGenericFunction) child->dispatch_table.SelectBuffer );
	__fillin( 434, "SemaphoreCreateCR", (SPUGenericFunction) child->dispatch_table.SemaphoreCreateCR );
	__fillin( 435, "SemaphoreDestroyCR", (SPUGenericFunction) child->dispatch_table.SemaphoreDestroyCR );
	__fillin( 436, "SemaphorePCR", (SPUGenericFunction) child->dispatch_table.SemaphorePCR );
	__fillin( 437, "SemaphoreVCR", (SPUGenericFunction) child->dispatch_table.SemaphoreVCR );
	__fillin( 438, "SetFenceNV", (SPUGenericFunction) child->dispatch_table.SetFenceNV );
	__fillin( 439, "ShadeModel", (SPUGenericFunction) child->dispatch_table.ShadeModel );
	__fillin( 440, "StencilFunc", (SPUGenericFunction) child->dispatch_table.StencilFunc );
	__fillin( 441, "StencilMask", (SPUGenericFunction) child->dispatch_table.StencilMask );
	__fillin( 442, "StencilOp", (SPUGenericFunction) child->dispatch_table.StencilOp );
	__fillin( 443, "SwapBuffers", (SPUGenericFunction) child->dispatch_table.SwapBuffers );
	__fillin( 444, "TestFenceNV", (SPUGenericFunction) child->dispatch_table.TestFenceNV );
	__fillin( 445, "TexCoord1d", (SPUGenericFunction) child->dispatch_table.TexCoord1d );
	__fillin( 446, "TexCoord1dv", (SPUGenericFunction) child->dispatch_table.TexCoord1dv );
	__fillin( 447, "TexCoord1f", (SPUGenericFunction) child->dispatch_table.TexCoord1f );
	__fillin( 448, "TexCoord1fv", (SPUGenericFunction) child->dispatch_table.TexCoord1fv );
	__fillin( 449, "TexCoord1i", (SPUGenericFunction) child->dispatch_table.TexCoord1i );
	__fillin( 450, "TexCoord1iv", (SPUGenericFunction) child->dispatch_table.TexCoord1iv );
	__fillin( 451, "TexCoord1s", (SPUGenericFunction) child->dispatch_table.TexCoord1s );
	__fillin( 452, "TexCoord1sv", (SPUGenericFunction) child->dispatch_table.TexCoord1sv );
	__fillin( 453, "TexCoord2d", (SPUGenericFunction) child->dispatch_table.TexCoord2d );
	__fillin( 454, "TexCoord2dv", (SPUGenericFunction) child->dispatch_table.TexCoord2dv );
	__fillin( 455, "TexCoord2f", (SPUGenericFunction) child->dispatch_table.TexCoord2f );
	__fillin( 456, "TexCoord2fv", (SPUGenericFunction) child->dispatch_table.TexCoord2fv );
	__fillin( 457, "TexCoord2i", (SPUGenericFunction) child->dispatch_table.TexCoord2i );
	__fillin( 458, "TexCoord2iv", (SPUGenericFunction) child->dispatch_table.TexCoord2iv );
	__fillin( 459, "TexCoord2s", (SPUGenericFunction) child->dispatch_table.TexCoord2s );
	__fillin( 460, "TexCoord2sv", (SPUGenericFunction) child->dispatch_table.TexCoord2sv );
	__fillin( 461, "TexCoord3d", (SPUGenericFunction) child->dispatch_table.TexCoord3d );
	__fillin( 462, "TexCoord3dv", (SPUGenericFunction) child->dispatch_table.TexCoord3dv );
	__fillin( 463, "TexCoord3f", (SPUGenericFunction) child->dispatch_table.TexCoord3f );
	__fillin( 464, "TexCoord3fv", (SPUGenericFunction) child->dispatch_table.TexCoord3fv );
	__fillin( 465, "TexCoord3i", (SPUGenericFunction) child->dispatch_table.TexCoord3i );
	__fillin( 466, "TexCoord3iv", (SPUGenericFunction) child->dispatch_table.TexCoord3iv );
	__fillin( 467, "TexCoord3s", (SPUGenericFunction) child->dispatch_table.TexCoord3s );
	__fillin( 468, "TexCoord3sv", (SPUGenericFunction) child->dispatch_table.TexCoord3sv );
	__fillin( 469, "TexCoord4d", (SPUGenericFunction) child->dispatch_table.TexCoord4d );
	__fillin( 470, "TexCoord4dv", (SPUGenericFunction) child->dispatch_table.TexCoord4dv );
	__fillin( 471, "TexCoord4f", (SPUGenericFunction) child->dispatch_table.TexCoord4f );
	__fillin( 472, "TexCoord4fv", (SPUGenericFunction) child->dispatch_table.TexCoord4fv );
	__fillin( 473, "TexCoord4i", (SPUGenericFunction) child->dispatch_table.TexCoord4i );
	__fillin( 474, "TexCoord4iv", (SPUGenericFunction) child->dispatch_table.TexCoord4iv );
	__fillin( 475, "TexCoord4s", (SPUGenericFunction) child->dispatch_table.TexCoord4s );
	__fillin( 476, "TexCoord4sv", (SPUGenericFunction) child->dispatch_table.TexCoord4sv );
	__fillin( 477, "TexCoordPointer", (SPUGenericFunction) child->dispatch_table.TexCoordPointer );
	__fillin( 478, "TexEnvf", (SPUGenericFunction) child->dispatch_table.TexEnvf );
	__fillin( 479, "TexEnvfv", (SPUGenericFunction) child->dispatch_table.TexEnvfv );
	__fillin( 480, "TexEnvi", (SPUGenericFunction) child->dispatch_table.TexEnvi );
	__fillin( 481, "TexEnviv", (SPUGenericFunction) child->dispatch_table.TexEnviv );
	__fillin( 482, "TexGend", (SPUGenericFunction) child->dispatch_table.TexGend );
	__fillin( 483, "TexGendv", (SPUGenericFunction) child->dispatch_table.TexGendv );
	__fillin( 484, "TexGenf", (SPUGenericFunction) child->dispatch_table.TexGenf );
	__fillin( 485, "TexGenfv", (SPUGenericFunction) child->dispatch_table.TexGenfv );
	__fillin( 486, "TexGeni", (SPUGenericFunction) child->dispatch_table.TexGeni );
	__fillin( 487, "TexGeniv", (SPUGenericFunction) child->dispatch_table.TexGeniv );
	__fillin( 488, "TexImage1D", (SPUGenericFunction) child->dispatch_table.TexImage1D );
	__fillin( 489, "TexImage2D", (SPUGenericFunction) child->dispatch_table.TexImage2D );
	__fillin( 490, "TexImage3D", (SPUGenericFunction) child->dispatch_table.TexImage3D );
	__fillin( 491, "TexImage3DEXT", (SPUGenericFunction) child->dispatch_table.TexImage3DEXT );
	__fillin( 492, "TexParameterf", (SPUGenericFunction) child->dispatch_table.TexParameterf );
	__fillin( 493, "TexParameterfv", (SPUGenericFunction) child->dispatch_table.TexParameterfv );
	__fillin( 494, "TexParameteri", (SPUGenericFunction) child->dispatch_table.TexParameteri );
	__fillin( 495, "TexParameteriv", (SPUGenericFunction) child->dispatch_table.TexParameteriv );
	__fillin( 496, "TexSubImage1D", (SPUGenericFunction) child->dispatch_table.TexSubImage1D );
	__fillin( 497, "TexSubImage2D", (SPUGenericFunction) child->dispatch_table.TexSubImage2D );
	__fillin( 498, "TexSubImage3D", (SPUGenericFunction) child->dispatch_table.TexSubImage3D );
	__fillin( 499, "TrackMatrixNV", (SPUGenericFunction) child->dispatch_table.TrackMatrixNV );
	__fillin( 500, "Translated", (SPUGenericFunction) child->dispatch_table.Translated );
	__fillin( 501, "Translatef", (SPUGenericFunction) child->dispatch_table.Translatef );
	__fillin( 502, "UnmapBufferARB", (SPUGenericFunction) child->dispatch_table.UnmapBufferARB );
	__fillin( 503, "Vertex2d", (SPUGenericFunction) child->dispatch_table.Vertex2d );
	__fillin( 504, "Vertex2dv", (SPUGenericFunction) child->dispatch_table.Vertex2dv );
	__fillin( 505, "Vertex2f", (SPUGenericFunction) child->dispatch_table.Vertex2f );
	__fillin( 506, "Vertex2fv", (SPUGenericFunction) child->dispatch_table.Vertex2fv );
	__fillin( 507, "Vertex2i", (SPUGenericFunction) child->dispatch_table.Vertex2i );
	__fillin( 508, "Vertex2iv", (SPUGenericFunction) child->dispatch_table.Vertex2iv );
	__fillin( 509, "Vertex2s", (SPUGenericFunction) child->dispatch_table.Vertex2s );
	__fillin( 510, "Vertex2sv", (SPUGenericFunction) child->dispatch_table.Vertex2sv );
	__fillin( 511, "Vertex3d", (SPUGenericFunction) child->dispatch_table.Vertex3d );
	__fillin( 512, "Vertex3dv", (SPUGenericFunction) child->dispatch_table.Vertex3dv );
	__fillin( 513, "Vertex3f", (SPUGenericFunction) child->dispatch_table.Vertex3f );
	__fillin( 514, "Vertex3fv", (SPUGenericFunction) child->dispatch_table.Vertex3fv );
	__fillin( 515, "Vertex3i", (SPUGenericFunction) child->dispatch_table.Vertex3i );
	__fillin( 516, "Vertex3iv", (SPUGenericFunction) child->dispatch_table.Vertex3iv );
	__fillin( 517, "Vertex3s", (SPUGenericFunction) child->dispatch_table.Vertex3s );
	__fillin( 518, "Vertex3sv", (SPUGenericFunction) child->dispatch_table.Vertex3sv );
	__fillin( 519, "Vertex4d", (SPUGenericFunction) child->dispatch_table.Vertex4d );
	__fillin( 520, "Vertex4dv", (SPUGenericFunction) child->dispatch_table.Vertex4dv );
	__fillin( 521, "Vertex4f", (SPUGenericFunction) child->dispatch_table.Vertex4f );
	__fillin( 522, "Vertex4fv", (SPUGenericFunction) child->dispatch_table.Vertex4fv );
	__fillin( 523, "Vertex4i", (SPUGenericFunction) child->dispatch_table.Vertex4i );
	__fillin( 524, "Vertex4iv", (SPUGenericFunction) child->dispatch_table.Vertex4iv );
	__fillin( 525, "Vertex4s", (SPUGenericFunction) child->dispatch_table.Vertex4s );
	__fillin( 526, "Vertex4sv", (SPUGenericFunction) child->dispatch_table.Vertex4sv );
	__fillin( 527, "VertexArrayRangeNV", (SPUGenericFunction) child->dispatch_table.VertexArrayRangeNV );
	__fillin( 528, "VertexAttrib1dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1dARB );
	__fillin( 529, "VertexAttrib1dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1dvARB );
	__fillin( 530, "VertexAttrib1fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1fARB );
	__fillin( 531, "VertexAttrib1fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1fvARB );
	__fillin( 532, "VertexAttrib1sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1sARB );
	__fillin( 533, "VertexAttrib1svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1svARB );
	__fillin( 534, "VertexAttrib2dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2dARB );
	__fillin( 535, "VertexAttrib2dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2dvARB );
	__fillin( 536, "VertexAttrib2fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2fARB );
	__fillin( 537, "VertexAttrib2fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2fvARB );
	__fillin( 538, "VertexAttrib2sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2sARB );
	__fillin( 539, "VertexAttrib2svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2svARB );
	__fillin( 540, "VertexAttrib3dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3dARB );
	__fillin( 541, "VertexAttrib3dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3dvARB );
	__fillin( 542, "VertexAttrib3fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3fARB );
	__fillin( 543, "VertexAttrib3fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3fvARB );
	__fillin( 544, "VertexAttrib3sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3sARB );
	__fillin( 545, "VertexAttrib3svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3svARB );
	__fillin( 546, "VertexAttrib4NbvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NbvARB );
	__fillin( 547, "VertexAttrib4NivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NivARB );
	__fillin( 548, "VertexAttrib4NsvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NsvARB );
	__fillin( 549, "VertexAttrib4NubARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NubARB );
	__fillin( 550, "VertexAttrib4NubvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NubvARB );
	__fillin( 551, "VertexAttrib4NuivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NuivARB );
	__fillin( 552, "VertexAttrib4NusvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NusvARB );
	__fillin( 553, "VertexAttrib4bvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4bvARB );
	__fillin( 554, "VertexAttrib4dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4dARB );
	__fillin( 555, "VertexAttrib4dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4dvARB );
	__fillin( 556, "VertexAttrib4fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4fARB );
	__fillin( 557, "VertexAttrib4fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4fvARB );
	__fillin( 558, "VertexAttrib4ivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4ivARB );
	__fillin( 559, "VertexAttrib4sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4sARB );
	__fillin( 560, "VertexAttrib4svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4svARB );
	__fillin( 561, "VertexAttrib4ubvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4ubvARB );
	__fillin( 562, "VertexAttrib4uivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4uivARB );
	__fillin( 563, "VertexAttrib4usvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4usvARB );
	__fillin( 564, "VertexAttribPointerARB", (SPUGenericFunction) child->dispatch_table.VertexAttribPointerARB );
	__fillin( 565, "VertexAttribPointerNV", (SPUGenericFunction) child->dispatch_table.VertexAttribPointerNV );
	__fillin( 566, "VertexAttribs1dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1dvNV );
	__fillin( 567, "VertexAttribs1fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1fvNV );
	__fillin( 568, "VertexAttribs1svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1svNV );
	__fillin( 569, "VertexAttribs2dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2dvNV );
	__fillin( 570, "VertexAttribs2fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2fvNV );
	__fillin( 571, "VertexAttribs2svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2svNV );
	__fillin( 572, "VertexAttribs3dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3dvNV );
	__fillin( 573, "VertexAttribs3fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3fvNV );
	__fillin( 574, "VertexAttribs3svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3svNV );
	__fillin( 575, "VertexAttribs4dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4dvNV );
	__fillin( 576, "VertexAttribs4fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4fvNV );
	__fillin( 577, "VertexAttribs4svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4svNV );
	__fillin( 578, "VertexAttribs4ubvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4ubvNV );
	__fillin( 579, "VertexPointer", (SPUGenericFunction) child->dispatch_table.VertexPointer );
	__fillin( 580, "Viewport", (SPUGenericFunction) child->dispatch_table.Viewport );
	__fillin( 581, "WindowCreate", (SPUGenericFunction) child->dispatch_table.WindowCreate );
	__fillin( 582, "WindowDestroy", (SPUGenericFunction) child->dispatch_table.WindowDestroy );
	__fillin( 583, "WindowPos2dARB", (SPUGenericFunction) child->dispatch_table.WindowPos2dARB );
	__fillin( 584, "WindowPos2dvARB", (SPUGenericFunction) child->dispatch_table.WindowPos2dvARB );
	__fillin( 585, "WindowPos2fARB", (SPUGenericFunction) child->dispatch_table.WindowPos2fARB );
	__fillin( 586, "WindowPos2fvARB", (SPUGenericFunction) child->dispatch_table.WindowPos2fvARB );
	__fillin( 587, "WindowPos2iARB", (SPUGenericFunction) child->dispatch_table.WindowPos2iARB );
	__fillin( 588, "WindowPos2ivARB", (SPUGenericFunction) child->dispatch_table.WindowPos2ivARB );
	__fillin( 589, "WindowPos2sARB", (SPUGenericFunction) child->dispatch_table.WindowPos2sARB );
	__fillin( 590, "WindowPos2svARB", (SPUGenericFunction) child->dispatch_table.WindowPos2svARB );
	__fillin( 591, "WindowPos3dARB", (SPUGenericFunction) child->dispatch_table.WindowPos3dARB );
	__fillin( 592, "WindowPos3dvARB", (SPUGenericFunction) child->dispatch_table.WindowPos3dvARB );
	__fillin( 593, "WindowPos3fARB", (SPUGenericFunction) child->dispatch_table.WindowPos3fARB );
	__fillin( 594, "WindowPos3fvARB", (SPUGenericFunction) child->dispatch_table.WindowPos3fvARB );
	__fillin( 595, "WindowPos3iARB", (SPUGenericFunction) child->dispatch_table.WindowPos3iARB );
	__fillin( 596, "WindowPos3ivARB", (SPUGenericFunction) child->dispatch_table.WindowPos3ivARB );
	__fillin( 597, "WindowPos3sARB", (SPUGenericFunction) child->dispatch_table.WindowPos3sARB );
	__fillin( 598, "WindowPos3svARB", (SPUGenericFunction) child->dispatch_table.WindowPos3svARB );
	__fillin( 599, "WindowPosition", (SPUGenericFunction) child->dispatch_table.WindowPosition );
	__fillin( 600, "WindowShow", (SPUGenericFunction) child->dispatch_table.WindowShow );
	__fillin( 601, "WindowSize", (SPUGenericFunction) child->dispatch_table.WindowSize );
	__fillin( 602, "WindowVisibleRegion", (SPUGenericFunction) child->dispatch_table.WindowVisibleRegion );
	__fillin( 603, "Writeback", (SPUGenericFunction) child->dispatch_table.Writeback );
	__fillin( 604, "ZPixCR", (SPUGenericFunction) child->dispatch_table.ZPixCR );
	__fillin( 605, NULL, NULL );
}
